import Link from "next/link";

type Button = {
  title: string;
  url: string;
};

const buttons: Button[] = [
  { title: "Get Started", url: "/player" },
  { title: "Documentation", url: "https://git.fascinated.cc/MinecraftUtilities/Documentation" },
];

export default function Home() {
  return (
    <div className="text-center flex flex-col justify-center">
      <h1 className="text-4xl">Minecraft Utilities</h1>
      <p className="text-lg">
        We provide a convenient API for Minecraft, simplifying the usage for players and developers.
      </p>

      <div className="mt-4 flex flex-row gap-2 justify-center">
        {buttons.map((button, index) => {
          return (
            <Link
              key={index}
              href={button.url}
              className="w-fit p-2 rounded-lg hover:text-primary transition-all cursor-pointer bg-secondary"
            >
              <p>{button.title}</p>
            </Link>
          );
        })}
      </div>
    </div>
  );
}
